<?php
App::uses('BuzzWaiversAppModel', 'BuzzWaivers.Model');
App::uses('String', 'Utility');
/**
 * Participant Model
 *
 */
class Participant extends BuzzWaiversAppModel {

	public $imageSlots = array(
		'Photo' => array(
			'slots' => 1
		),
		'Signature' => array(
			'slots' => 1
		)

	);

	public $hasAndBelongsToMany = array(
		'Condition' => array(
			'className' => 'BuzzWaivers.Condition',
			'joinTable' => 'buzz_waivers_participant_conditions'
		)
	);

/**
 * Primary key field
 *
 * @var string
 */
	public $primaryKey = 'id';

/**
 * Display field
 *
 * @var string
 */
	public $displayField = 'email';

	public function beforeSave($options = array()) {
		if (empty($this->data['Participant']['id']) && empty($this->id)) {
			$this->data['Participant']['id'] = String::uuid();
		}

		return parent::beforeSave($options);

	}

}
